# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI="7"

inherit desktop xdg unpacker

DESCRIPTION="Ассистент - удобный инструмент для безопасного удаленного доступа."
HOMEPAGE="https://мойассистент.рф/"
SRC_URI="
https://xn--80akicokc0aablc.xn--p1ai/%D1%81%D0%BA%D0%B0%D1%87%D0%B0%D1%82%D1%8C/Download/617 -> ${P}.deb
"

LICENSE=""
SLOT="0"
KEYWORDS="amd64"

# Зависимости для запуска этой программы
RDEPEND="
	app-shells/bash
	x11-libs/gtk+:2
	sys-process/procps
"

RESTRICT="bindist mirror strip"

S=${WORKDIR}

ASISTDIR="opt/${PN}"
SCRIPTS_DIR="/${ASISTDIR}/scripts"

src_install() {
	doins -r .

	sed -i -E -e 's/^pidfile=/#pidfile=/' ${D}${SCRIPTS_DIR}/openrc.s

	echo -e "\nstart() {
        /opt/assistant/scripts/runasts.sh
}" >> ${D}${SCRIPTS_DIR}/openrc.s

}

pkg_postinst() {
	# Исправляем права на файлы и папки
	chmod -R +x /${ASISTDIR}/{bin,lang}
	chmod -R +x /${SCRIPTS_DIR}
	chmod -R -x /${SCRIPTS_DIR}/${PN}.service
	chmod -R a+rw /${ASISTDIR}/{license,log,screenshot,video}

	${SCRIPTS_DIR}/setup.sh --install

	xdg_desktop_database_update
	xdg_icon_cache_update
}

pkg_prerm() {
	${SCRIPTS_DIR}/setup.sh --uninstall
}

pkg_postrm() {
	# Зачистка мусора
	rc-update delete zassistantd
	eselect rc stop zassistantd

	killall asts astrct assistant 2> /dev/null

	# Удалить ярлык
	rm -f /usr/share/applications/assistant.desktop || die

	# Удалить службу
	rm -f /etc/init.d/zassistantd || die

	# Удалить каталог с журналами после удаления
	rm -r -f /opt/assistant || die

	xdg_desktop_database_update
	xdg_icon_cache_update
}
