# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI="7"

inherit desktop xdg unpacker

DESCRIPTION="Open source virtual / remote desktop infrastructure for everyone!"
HOMEPAGE="https://rustdesk.com/"
SRC_URI="https://github.com/rustdesk/rustdesk/releases/download/${PV}/rustdesk-${PV}.deb"

LICENSE=""
SLOT="0"
KEYWORDS="amd64"

# Зависимости для запуска этой программы
RDEPEND="
	x11-libs/libxcb
	x11-libs/gtk+:3
	x11-misc/xdotool
	x11-libs/libXfixes
	media-sound/pulseaudio
	dev-lang/python
	net-misc/curl
"
RESTRICT="bindist mirror strip"

S=${WORKDIR}
MY_P="rustdesk"

src_unpack() {
	unpack_deb ${A}
}

src_install() {
	cp -R usr "${D}"
	mkdir -p ${D}/etc/init.d/

	# Добавление службы rustdesk
	echo '#!/sbin/openrc-run

name="RustDesk"
description="RustDesk Daemon Service"
supervisor="supervise-daemon"
command="/usr/bin/rustdesk"
command_args="--service"

depend() {
	after xdm
	need net
}' > ${D}/etc/init.d/${MY_P}

	# Исправление прав на запуск службы
	chmod +x ${D}/etc/init.d/${MY_P}

	# Исправление ярлыка для меню Пуск
	sed -i -E -e 's/^Type=Application/Type=Application\nCategories=Network/' ${D}/usr/share/applications/${MY_P}.desktop

}

pkg_postinst() {
	# Добавление службы в автозагрузку
	rc-update add ${MY_P} default

	# Запуск службы rustdesk
	/etc/init.d/${MY_P} start
}

pkg_postrm() {
	# Зачистка мусора
	rc-update delete ${MY_P}
	/etc/init.d/${MY_P} stop

	# Удалить службу
	rm -f /etc/init.d/${MY_P} || die
}
